repo/gentoo:master commit in: dev-python/catalogus/

"Arthur Zamarin" <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786994215.fad0be4c2b2d25564d0ea2fac19226fdac81a47f.arthurzam@gentoo>
commit:     fad0be4c2b2d25564d0ea2fac19226fdac81a47f
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 17 19:14:48 2026 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Mon Aug 17 19:16:55 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fad0be4c

dev-python/catalogus: new package, add 0.1.0

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/catalogus/Manifest               |  1 +
 dev-python/catalogus/catalogus-0.1.0.ebuild | 28 ++++++++++++++++++++++++++++
 dev-python/catalogus/metadata.xml           | 12 ++++++++++++
 3 files changed, 41 insertions(+)

diff --git a/dev-python/catalogus/Manifest b/dev-python/catalogus/Manifest
new file mode 100644
index 000000000000..66134481df11
--- /dev/null
+++ b/dev-python/catalogus/Manifest
@@ -0,0 +1 @@
+DIST catalogus-0.1.0.tar.gz 19893 BLAKE2B 1187fa35e502d431315bfda1cdce8740f14effd3fdc762a5baa9a2fef891ed682a150ac3dabd77ab134f3f7c071df4147d1d2c7291a589b523f4b66a0f3bdfd5 SHA512 e3822926bbca6aa4d3900f630d0c8a5a28b16fba226eaa848b267380743fdde08e2efdc074ad9d7ff2c1de71cf3a178e8eb21175369cd72e0e755f7dd62eaf20

diff --git a/dev-python/catalogus/catalogus-0.1.0.ebuild b/dev-python/catalogus/catalogus-0.1.0.ebuild
new file mode 100644
index 000000000000..69587c7f74fa
--- /dev/null
+++ b/dev-python/catalogus/catalogus-0.1.0.ebuild
@@ -0,0 +1,28 @@
+# Copyright 2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_1{2..4} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Classes to provide name-to-object registry-like support"
+HOMEPAGE="https://pypi.org/project/catalogus/ https://github.com/breezy-team/catalogus"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+src_prepare() {
+	default
+	sed -e '/--cov/d' -i pyproject.toml || die
+}
+
+python_test() {
+	epytest tests
+}

diff --git a/dev-python/catalogus/metadata.xml b/dev-python/catalogus/metadata.xml
new file mode 100644
index 000000000000..ca3b282ec9d1
--- /dev/null
+++ b/dev-python/catalogus/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="project">
+		<email>[email protected]</email>
+		<name>Python</name>
+	</maintainer>
+	<upstream>
+		<remote-id type="pypi">catalogus</remote-id>
+		<remote-id type="github">breezy-team/catalogus</remote-id>
+	</upstream>
+</pkgmetadata>
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.